Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\EventListener\IndexRequestListener Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\EventListener\IndexRequestListener:

## Public Member Functions
| __construct (ConfigResolverInterface $configResolver)
| onKernelRequestIndex (GetResponseEvent $event)
| Checks if the IndexPage is configured and which page must be shown. More...

## Static Public Member Functions
static | getSubscribedEvents ()

## Protected Attributes
| $configResolver

## Detailed Description

Definition at line 15 of file IndexRequestListener.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\EventListener\IndexRequestListener::__construct | ( | ConfigResolverInterface | $configResolver | ) |

Definition at line 20 of file IndexRequestListener.php.

References eZ\Bundle\EzPublishCoreBundle\EventListener\IndexRequestListener\$configResolver.

## Member Function Documentation

## ◆ getSubscribedEvents()

static eZ\Bundle\EzPublishCoreBundle\EventListener\IndexRequestListener::getSubscribedEvents | ( |  | ) |
| static

Definition at line 25 of file IndexRequestListener.php.

## ◆ onKernelRequestIndex()

eZ\Bundle\EzPublishCoreBundle\EventListener\IndexRequestListener::onKernelRequestIndex | ( | GetResponseEvent | $event | ) |

Checks if the IndexPage is configured and which page must be shown.

Parameters

  GetResponseEvent | $event |

Definition at line 40 of file IndexRequestListener.php.

## Member Data Documentation

## ◆ $configResolver

eZ\Bundle\EzPublishCoreBundle\EventListener\IndexRequestListener::$configResolver
| protected

Definition at line 18 of file IndexRequestListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\IndexRequestListener\__construct().

The documentation for this class was generated from the following file:

- IndexRequestListener.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.